Package org.eclipse.m2m.atl.adt.runner

## Class CreateRunnableData

- java.lang.Object
- - org.eclipse.m2m.atl.adt.runner.CreateRunnableData

    public class CreateRunnableData
    extends java.lang.Object

Stores / Loads ATL launch parameters from:

- an ATL file.
- an ATL Launch Configuration.
- an ATL properties file.

### Constructor Summary

Constructors
`CreateRunnableData()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Set<java.lang.String>` `getAllLibrariesNames()`
`java.util.Set<java.lang.String>` `getAllMetamodelsNames()` Aggregates all metamodels names.
`java.util.List<java.lang.String>` `getAllModelsNames()` Aggregates all models names.
`java.lang.Object` `getClassShortName()`
`static org.eclipse.core.resources.IFile` `getFile​(java.lang.String path)` Returns the ATL file for a given .atl or .asm path.
`java.lang.String` `getFileType()`
`java.util.Map<java.lang.String,​java.lang.String>` `getInModels()`
`java.util.Map<java.lang.String,​java.lang.String>` `getInOutModels()`
`java.util.Map<java.lang.String,​java.lang.String>` `getLibraryLocations()`
`java.util.Map<java.lang.String,​java.lang.String>` `getMetamodelLocations()`
`java.util.List<java.lang.String>` `getModelsToLoadNames()` Aggregates all models to load names.
`java.util.List<java.lang.String>` `getModelsToSaveNames()` Aggregates all models to save names.
`java.util.Map<java.lang.String,​java.lang.String>` `getOptions()`
`java.util.Map<java.lang.String,​java.lang.String>` `getOutModels()`
`org.eclipse.core.resources.IFile[]` `getTransformationFiles()`
`boolean` `isMetametamodel​(java.lang.String metamodelName)` Returns `true` if the given metamodel is a metametamodel.
`boolean` `isQuery()`
`boolean` `isRefining()`
`void` `load​(java.lang.String... filePaths)` Updates the parameters from the given transformation files.
`void` `load​(org.eclipse.debug.core.ILaunchConfiguration configuration)` Updates the parameters from the given launch configuration.
`void` `load​(ATLProperties properties)` Updates the parameters from the given property file.
`void` `setOptions​(java.util.Map<java.lang.String,​java.lang.String> options)`
`void` `updateLibraryLocation​(java.lang.String name, java.lang.String location)` Sets the given location for the given library name.
`void` `updateMetamodelLocation​(java.lang.String name, java.lang.String location)` Sets the given location for the given metamodel name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateRunnableData

    public CreateRunnableData()

### Method Detail

#### load

    public void load​(java.lang.String... filePaths)
              throws java.io.IOException,
                     org.eclipse.core.runtime.CoreException

Updates the parameters from the given transformation files.

Parameters:
  `filePaths` - the transformation file paths
Throws:
  `java.io.IOException`
  `org.eclipse.core.runtime.CoreException`

#### load

    public void load​(ATLProperties properties)
              throws java.io.IOException,
                     org.eclipse.core.runtime.CoreException

Updates the parameters from the given property file.

Parameters:
  `properties` - the properties
Throws:
  `java.io.IOException`
  `org.eclipse.core.runtime.CoreException`

#### load

    public void load​(org.eclipse.debug.core.ILaunchConfiguration configuration)
              throws java.io.IOException,
                     org.eclipse.core.runtime.CoreException

Updates the parameters from the given launch configuration.

Parameters:
  `configuration` - the ATL launch configuration
Throws:
  `java.io.IOException`
  `org.eclipse.core.runtime.CoreException`

#### getClassShortName

    public java.lang.Object getClassShortName()

#### getTransformationFiles

    public org.eclipse.core.resources.IFile[] getTransformationFiles()

#### getFileType

    public java.lang.String getFileType()

#### isRefining

    public boolean isRefining()

#### getInModels

    public java.util.Map<java.lang.String,​java.lang.String> getInModels()

#### getInOutModels

    public java.util.Map<java.lang.String,​java.lang.String> getInOutModels()

#### getOutModels

    public java.util.Map<java.lang.String,​java.lang.String> getOutModels()

#### getAllLibrariesNames

    public java.util.Set<java.lang.String> getAllLibrariesNames()

#### getLibraryLocations

    public java.util.Map<java.lang.String,​java.lang.String> getLibraryLocations()

#### getMetamodelLocations

    public java.util.Map<java.lang.String,​java.lang.String> getMetamodelLocations()

#### getOptions

    public java.util.Map<java.lang.String,​java.lang.String> getOptions()

#### updateLibraryLocation

    public void updateLibraryLocation​(java.lang.String name,
                                      java.lang.String location)

Sets the given location for the given library name.

Parameters:
  `name` - the library name
  `location` - the library location

#### updateMetamodelLocation

    public void updateMetamodelLocation​(java.lang.String name,
                                        java.lang.String location)

Sets the given location for the given metamodel name.

Parameters:
  `name` - the metamodel name
  `location` - the metamodel location

#### setOptions

    public void setOptions​(java.util.Map<java.lang.String,​java.lang.String> options)

#### getAllModelsNames

    public java.util.List<java.lang.String> getAllModelsNames()

Aggregates all models names.

Returns:
  the model names

#### getModelsToLoadNames

    public java.util.List<java.lang.String> getModelsToLoadNames()

Aggregates all models to load names.

Returns:
  the model names

#### getModelsToSaveNames

    public java.util.List<java.lang.String> getModelsToSaveNames()

Aggregates all models to save names.

Returns:
  the model names

#### getAllMetamodelsNames

    public java.util.Set<java.lang.String> getAllMetamodelsNames()

Aggregates all metamodels names.

Returns:
  the metamodels names

#### isMetametamodel

    public boolean isMetametamodel​(java.lang.String metamodelName)

Returns `true` if the given metamodel is a metametamodel.

Parameters:
  `metamodelName` - the metamodel name
Returns:
  `true` if the given metamodel is a metametamodel

#### isQuery

    public boolean isQuery()

#### getFile

    public static org.eclipse.core.resources.IFile getFile​(java.lang.String path)

Returns the ATL file for a given .atl or .asm path.

Parameters:
  `path` - the file path
Returns:
  the .atl file